# @open-xchange/vite-plugin-proxy

An OX App Suite specific proxy for development purposes. Can connect multiple vite-dev-servers with [@open-xchange/vite-plugin-ox-manifests](https://gitlab.open-xchange.com/frontend/vite-plugin-ox-manifests) plugins.

## Install

```bash
npm install "@open-xchange/vite-plugin-proxy"
yarn add "@open-xchange/vite-plugin-proxy"
```

## Options

You can provide the following options to the plugin:

* proxy `<object>` An object with proxy configurations, where the key need to match the beginning of the path. Usually used to forward /api requests to a backend.
* proxy.target `<string>` The target where to forward these requests to.
* proxy.ws `<boolean>` If ws is true, this will only listen to upgrade events for a websocket. Default: `false`
* frontendURIs `<string[]>` An array of frontend URIs which can either point to other vite-dev-servers or production builds.

## Example configuration

```js
vitePluginProxy({
  proxy: {
    '/api': {
      target: 'https://path.to.my.middleware/'
    },
    '/socket.io/appsuite': {
      target: `wss://path.to.my.middleware/socket.io/appsuite`,
      ws: true
    }
  },
  frontendURIs: ['localhost:3000', 'localhost:3001']
}),
```
