import parseurl from 'parseurl'
import * as proxy from '../proxy.js'

export default function ({ proxyURLs }) {
  return async function (req, socket, head) {
    const { path } = parseurl(req)
    for (const [condition, { hostname, protocol, port }] of proxyURLs) {
      if (path.startsWith(condition)) {
        return await proxy.ws(req, socket, head, { hostname, protocol, port })
      }
    }
  }
}
